Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 1821)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Unused variables removed.
 !
 ! Former revisions:
@@ -113,7 +113,4 @@
                dz, initializing_actions, message_string, ocean, simulated_time
 
-    USE dvrp_variables,                                                        &
-        ONLY:  particle_color, particle_dvrpsize
-
     USE grid_variables,                                                        &
         ONLY:  ddx, dx, ddy, dy
@@ -134,22 +131,20 @@
         ONLY:   alloc_factor, bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,        &
                 block_offset, block_offset_def, collision_kernel,              &
-                density_ratio, dvrp_psize, grid_particles,                     &
+                density_ratio, grid_particles,                                 &
                 initial_weighting_factor, ibc_par_b, ibc_par_lr, ibc_par_ns,   &
                 ibc_par_t, iran_part, log_z_z0,                                &
                 max_number_of_particle_groups, maximum_number_of_particles,    &
-                maximum_number_of_tailpoints, maximum_number_of_tails,         &
-                minimum_tailpoint_distance, min_nr_particle,                   &
-                mpi_particle_type, new_tail_id,                                &
-                number_of_initial_tails, number_of_particles,                  &
+                min_nr_particle, mpi_particle_type,                            &
+                number_of_particles,                                           &
                 number_of_particle_groups, number_of_sublayers,                &
-                number_of_tails, offset_ocean_nzt, offset_ocean_nzt_m1,        &
+                offset_ocean_nzt, offset_ocean_nzt_m1,                         &
                 particles, particle_advection_start, particle_groups,          &
                 particle_groups_type, particles_per_point,                     &
-                particle_tail_coordinates,  particle_type, pdx, pdy, pdz,      &
+                particle_type, pdx, pdy, pdz,                                  &
                 prt_count, psb, psl, psn, psr, pss, pst,                       &
                 radius, random_start_position, read_particles_from_restartfile,&
-                seed_follows_topography, skip_particles_for_tail, sort_count,  &
-                tail_mask, total_number_of_particles, total_number_of_tails,   &
-                use_particle_tails, use_sgs_for_particles,                     &
+                seed_follows_topography, sort_count,                           &
+                total_number_of_particles,                                     &
+                use_sgs_for_particles,                                         &
                 write_particle_statistics, uniform_particles, zero_particle,   &
                 z0_av_global
@@ -192,11 +187,6 @@
 
     INTEGER(iwp) ::  i                           !<
-    INTEGER(iwp) ::  ip                          !<
     INTEGER(iwp) ::  j                           !<
-    INTEGER(iwp) ::  jp                          !<
     INTEGER(iwp) ::  k                           !<
-    INTEGER(iwp) ::  kp                          !<
-    INTEGER(iwp) ::  n                           !<
-    INTEGER(iwp) ::  nn                          !<
 
 #if defined( __parallel )
@@ -205,5 +195,4 @@
     INTEGER(iwp), DIMENSION(3) ::  types         !<
 #endif
-    LOGICAL ::  uniform_particles_l              !<
 
     REAL(wp) ::  height_int                      !<
@@ -216,12 +205,4 @@
 !-- Define MPI derived datatype for FORTRAN datatype particle_type (see module
 !-- particle_attributes). Integer length is 4 byte, Real is 8 byte
-#if defined( __twocachelines )
-    blocklengths(1)  =  7;  blocklengths(2)  =  18;  blocklengths(3)  =   1
-    displacements(1) =  0;  displacements(2) =  64;  displacements(3) = 128
-
-    types(1) = MPI_REAL                               ! 64 bit words
-    types(2) = MPI_INTEGER                            ! 32 Bit words
-    types(3) = MPI_UB
-#else
     blocklengths(1)  = 19;  blocklengths(2)  =   6;  blocklengths(3)  =   1
     displacements(1) =  0;  displacements(2) = 152;  displacements(3) = 176
@@ -230,5 +211,4 @@
     types(2) = MPI_INTEGER
     types(3) = MPI_UB
-#endif
     CALL MPI_TYPE_STRUCT( 3, blocklengths, displacements, types, &
                           mpi_particle_type, ierr )
@@ -293,5 +273,5 @@
 !
 !-- Allocate arrays required for calculating particle SGS velocities
-    IF ( use_sgs_for_particles )  THEN
+    IF ( use_sgs_for_particles  .AND.  .NOT. cloud_droplets )  THEN
        ALLOCATE( de_dx(nzb:nzt+1,nysg:nyng,nxlg:nxrg), &
                  de_dy(nzb:nzt+1,nysg:nyng,nxlg:nxrg), &
@@ -429,5 +409,4 @@
 !--    Allocate particle arrays and set attributes of the initial set of
 !--    particles, which can be also periodically released at later times.
-!--    Also allocate array for particle tail coordinates, if needed.
        ALLOCATE( prt_count(nzb:nzt+1,nysg:nyng,nxlg:nxrg), &
                  grid_particles(nzb+1:nzt,nys:nyn,nxl:nxr) )
@@ -443,11 +422,4 @@
 !--    occur within restart runs). The reason for this is still not clear
 !--    and may be presumably caused by errors in the respective user-interface.
-#if defined( __twocachelines )
-       zero_particle = particle_type( 0.0_wp, 0.0_sp, 0.0_sp, 0.0_sp, 0.0_sp,  &
-                                      0.0_sp, 0.0_sp, 0.0_wp, 0.0_wp, 0.0_wp,  &
-                                      0, .FALSE., 0.0_wp, 0.0_wp, 0.0_wp,      &
-                                      0.0_sp, 0.0_sp, 0.0_sp, 0.0_sp, 0.0_sp,  &
-                                      0.0_sp, 0, 0, 0, -1)
-#else
        zero_particle = particle_type( 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
                                       0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
@@ -455,10 +427,6 @@
                                       0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0, 0, 0, &
                                       0, .FALSE., -1)
-#endif
+
        particle_groups = particle_groups_type( 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp )
-
-!
-!--    Set the default particle size used for dvrp plots
-       IF ( dvrp_psize == 9999999.9_wp )  dvrp_psize = 0.2_wp * dx
 
 !
@@ -506,101 +474,4 @@
        ENDIF
 
-!
-!--    Check if particles are really uniform in color and radius (dvrp_size)
-!--    (uniform_particles is preset TRUE)
-       IF ( uniform_particles )  THEN
-          DO  ip = nxl, nxr
-             DO  jp = nys, nyn
-                DO  kp = nzb+1, nzt
-
-                   n = prt_count(kp,jp,ip)
-                   IF ( MINVAL( grid_particles(kp,jp,ip)%particles(1:n)%dvrp_psize  ) ==     &
-                        MAXVAL( grid_particles(kp,jp,ip)%particles(1:n)%dvrp_psize  )  .AND. &
-                        MINVAL( grid_particles(kp,jp,ip)%particles(1:n)%class ) ==           &
-                        MAXVAL( grid_particles(kp,jp,ip)%particles(1:n)%class ) )  THEN
-                      uniform_particles_l = .TRUE.
-                   ELSE
-                      uniform_particles_l = .FALSE.
-                   ENDIF
-
-                ENDDO
-             ENDDO
-          ENDDO
-
-#if defined( __parallel )
-          IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-          CALL MPI_ALLREDUCE( uniform_particles_l, uniform_particles, 1,       &
-                              MPI_LOGICAL, MPI_LAND, comm2d, ierr )
-#else
-          uniform_particles = uniform_particles_l
-#endif
-
-       ENDIF
-
-!
-!--    Particles will probably become none-uniform, if their size and color
-!--    will be determined by flow variables
-       IF ( particle_color /= 'none'  .OR.  particle_dvrpsize /= 'none' )  THEN
-          uniform_particles = .FALSE.
-       ENDIF
-
-! !kk    Not implemented aft individual particle array fort every gridcell
-! !
-! !--    Set the beginning of the particle tails and their age
-!        IF ( use_particle_tails )  THEN
-! !
-! !--       Choose the maximum number of tails with respect to the maximum number
-! !--       of particles and skip_particles_for_tail
-!           maximum_number_of_tails = maximum_number_of_particles / &
-!                                     skip_particles_for_tail
-! 
-! !
-! !--       Create a minimum number of tails in case that there is no tail
-! !--       initially (otherwise, index errors will occur when adressing the
-! !--       arrays below)
-!           IF ( maximum_number_of_tails == 0 )  maximum_number_of_tails = 10
-! 
-!           ALLOCATE( particle_tail_coordinates(maximum_number_of_tailpoints,5, &
-!                     maximum_number_of_tails),                                 &
-!                     new_tail_id(maximum_number_of_tails),                     &
-!                     tail_mask(maximum_number_of_tails) )
-! 
-!           particle_tail_coordinates  = 0.0_wp
-!           minimum_tailpoint_distance = minimum_tailpoint_distance**2
-!           number_of_initial_tails    = number_of_tails
-! 
-!           nn = 0
-!           DO  n = 1, number_of_particles
-! !
-! !--          Only for those particles marked above with a provisional tail_id
-! !--          tails will be created. Particles now get their final tail_id.
-!              IF ( particles(n)%tail_id /= 0 )  THEN
-! 
-!                 nn = nn + 1
-!                 particles(n)%tail_id = nn
-! 
-!                 particle_tail_coordinates(1,1,nn) = particles(n)%x
-!                 particle_tail_coordinates(1,2,nn) = particles(n)%y
-!                 particle_tail_coordinates(1,3,nn) = particles(n)%z
-!                 particle_tail_coordinates(1,4,nn) = particles(n)%class
-!                 particles(n)%tailpoints = 1
-!                 IF ( minimum_tailpoint_distance /= 0.0_wp )  THEN
-!                    particle_tail_coordinates(2,1,nn) = particles(n)%x
-!                    particle_tail_coordinates(2,2,nn) = particles(n)%y
-!                    particle_tail_coordinates(2,3,nn) = particles(n)%z
-!                    particle_tail_coordinates(2,4,nn) = particles(n)%class
-!                    particle_tail_coordinates(1:2,5,nn) = 0.0_wp
-!                    particles(n)%tailpoints = 2
-!                 ENDIF
-! 
-!              ENDIF
-!           ENDDO
-!        ENDIF
-! 
-! !
-! !--    Plot initial positions of particles (only if particle advection is
-! !--    switched on from the beginning of the simulation (t=0))
-!        IF ( particle_advection_start == 0.0_wp )  CALL data_output_dvrp
-
     ENDIF
 
@@ -641,5 +512,4 @@
     INTEGER(iwp)               ::  n           !<
     INTEGER(iwp)               ::  new_size    !<
-    INTEGER(iwp)               ::  nn          !<
 
     INTEGER(iwp), INTENT(IN)   ::  phase       !<
@@ -691,40 +561,4 @@
 
                             n = n + 1
-#if defined( __twocachelines )
-                            tmp_particle%x             = pos_x
-                            tmp_particle%y             = pos_y
-                            tmp_particle%z             = pos_z
-                            tmp_particle%age           = 0.0_sp
-                            tmp_particle%age_m         = 0.0_sp
-                            tmp_particle%dt_sum        = 0.0_wp
-                            tmp_particle%dvrp_psize    = dvrp_psize
-                            tmp_particle%e_m           = 0.0_sp
-                            IF ( curvature_solution_effects )  THEN
-!
-!--                            Initial values (internal timesteps, derivative)
-!--                            for Rosenbrock method
-                               tmp_particle%rvar1      = 1.0E-12_wp
-                               tmp_particle%rvar2      = 1.0E-3_wp
-                               tmp_particle%rvar3      = -9999999.9_wp
-                            ELSE
-!
-!--                            Initial values for SGS velocities
-                               tmp_particle%rvar1      = 0.0_wp
-                               tmp_particle%rvar2      = 0.0_wp
-                               tmp_particle%rvar3      = 0.0_wp
-                            ENDIF
-                            tmp_particle%speed_x       = 0.0_sp
-                            tmp_particle%speed_y       = 0.0_sp
-                            tmp_particle%speed_z       = 0.0_sp
-                            tmp_particle%origin_x      = pos_x
-                            tmp_particle%origin_y      = pos_y
-                            tmp_particle%origin_z      = pos_z
-                            tmp_particle%radius        = particle_groups(i)%radius
-                            tmp_particle%weight_factor = initial_weighting_factor
-                            tmp_particle%class         = 1
-                            tmp_particle%group         = i
-                            tmp_particle%tailpoints    = 0
-                            tmp_particle%particle_mask = .TRUE.
-#else
                             tmp_particle%x             = pos_x
                             tmp_particle%y             = pos_y
@@ -733,5 +567,5 @@
                             tmp_particle%age_m         = 0.0_wp
                             tmp_particle%dt_sum        = 0.0_wp
-                            tmp_particle%dvrp_psize    = dvrp_psize
+                            tmp_particle%dvrp_psize    = 0.0_wp !unused
                             tmp_particle%e_m           = 0.0_wp
                             IF ( curvature_solution_effects )  THEN
@@ -759,17 +593,8 @@
                             tmp_particle%class         = 1
                             tmp_particle%group         = i
-                            tmp_particle%tailpoints    = 0
+                            tmp_particle%tailpoints    = 0     !unused
                             tmp_particle%particle_mask = .TRUE.
-#endif
-                            IF ( use_particle_tails  .AND. &
-                                 MOD( n, skip_particles_for_tail ) == 0 )  THEN
-                               number_of_tails         = number_of_tails + 1
-!
-!--                            This is a temporary provisional setting (see
-!--                            further below!)
-                               tmp_particle%tail_id    = number_of_tails
-                            ELSE
-                               tmp_particle%tail_id    = 0
-                            ENDIF
+                            tmp_particle%tail_id       = 0     !unused
+
 !
 !--                         Determine the grid indices of the particle position
@@ -913,15 +738,11 @@
     ENDDO
 !
-!-- Calculate the number of particles and tails of the total domain
+!-- Calculate the number of particles of the total domain
 #if defined( __parallel )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
     CALL MPI_ALLREDUCE( number_of_particles, total_number_of_particles, 1, &
     MPI_INTEGER, MPI_SUM, comm2d, ierr )
-    IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( number_of_tails, total_number_of_tails, 1, &
-    MPI_INTEGER, MPI_SUM, comm2d, ierr )
 #else
     total_number_of_particles = number_of_particles
-    total_number_of_tails     = number_of_tails
 #endif
 
Index: palm/trunk/SOURCE/lpm_init_sgs_tke.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init_sgs_tke.f90	(revision 1821)
+++ palm/trunk/SOURCE/lpm_init_sgs_tke.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Unused variables removed.
 ! 
 ! Former revisions:
@@ -63,6 +63,6 @@
 
     USE indices,                                                               &
-        ONLY:  nbgp, ngp_2dh_outer, nx, nxl, nxr, ny, nyn, nys, nz, nzb,       &
-                      nzb_s_inner, nzb_s_outer, nzt
+        ONLY:  nbgp, ngp_2dh_outer, nxl, nxr, nyn, nys, nzb, nzb_s_inner,      &
+               nzb_s_outer, nzt
 
     USE kinds
Index: palm/trunk/SOURCE/lpm_pack_arrays.f90
===================================================================
--- palm/trunk/SOURCE/lpm_pack_arrays.f90	(revision 1821)
+++ palm/trunk/SOURCE/lpm_pack_arrays.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Tails removed. Unused variables removed.
 !
 ! Former revisions:
@@ -51,5 +51,5 @@
 ! Description:
 ! ------------
-!> Pack particle and tail arrays, which means eliminate those elements marked for
+!> Pack particle arrays, which means eliminate those elements marked for
 !> deletion and move data with higher index values to these free indices.
 !> Determine the new number of particles.
@@ -59,8 +59,6 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  deleted_tails, grid_particles, new_tail_id,                     &
-               number_of_particles, number_of_tails, offset_ocean_nzt,         &
-               particles, particle_type, prt_count,                            &
-               particle_tail_coordinates, tail_mask, use_particle_tails
+        ONLY:  grid_particles, number_of_particles, offset_ocean_nzt,          &
+               particles, particle_type, prt_count
 
     PRIVATE
@@ -127,5 +125,4 @@
 
        INTEGER(iwp) ::  n       !<
-       INTEGER(iwp) ::  nd      !<
        INTEGER(iwp) ::  nn      !<
 !
@@ -158,41 +155,4 @@
        number_of_particles = nn
 
-!
-!-- particle tails are currently not available
-!
-!-- Handle tail array in the same way, store the new tail ids and re-assign it
-!-- to the respective particles
-!    IF ( use_particle_tails )  THEN
-!
-!       nn = 0
-!       nd = 0
-!
-!       DO  n = 1, number_of_tails
-!
-!          IF ( tail_mask(n) )  THEN
-!             nn = nn + 1
-!             particle_tail_coordinates(:,:,nn) = &
-!                                                particle_tail_coordinates(:,:,n)
-!             new_tail_id(n) = nn
-!          ELSE
-!             nd = nd + 1
-!          ENDIF
-!
-!       ENDDO
-!
-!       DO  n = 1, number_of_particles
-!          IF ( particles(n)%tail_id /= 0 )  THEN
-!             particles(n)%tail_id = new_tail_id(particles(n)%tail_id)
-!          ENDIF
-!       ENDDO
-!
-!    ENDIF
-
-!
-!-- The number of deleted tails has been determined in routines
-!-- lpm_boundary_conds and lpm_exchange_horiz
-!   number_of_tails = number_of_tails - deleted_tails
-
-
     END SUBROUTINE lpm_pack_arrays
 
@@ -206,7 +166,4 @@
       USE control_parameters,                                                  &
           ONLY: dz
-
-      USE indices,                                                             &
-          ONLY: nxl, nxr, nys, nyn, nzb, nzt
 
       USE kinds
Index: palm/trunk/SOURCE/lpm_read_restart_file.f90
===================================================================
--- palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 1821)
+++ palm/trunk/SOURCE/lpm_read_restart_file.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Tails removed. Unused variables removed.
 ! 
 ! Former revisions:
@@ -54,5 +54,5 @@
 
     USE indices,                                                               &
-        ONLY:  nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nz, nzb, nzt
+        ONLY:  nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt
 
     USE kinds
@@ -64,11 +64,7 @@
         ONLY:  alloc_factor, bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,         &
                grid_particles, maximum_number_of_particles,                    &
-               maximum_number_of_tailpoints, maximum_number_of_tails,          &
-               min_nr_particle, new_tail_id, number_of_particles,              &
-               number_of_particle_groups, number_of_tails, particles,          &
-               particle_groups, particle_tail_coordinates, particle_type,      &
-               prt_count, sort_count, tail_mask, time_prel,                    &
-               time_write_particle_data, uniform_particles,                    &
-               use_particle_tails, zero_particle
+               min_nr_particle, number_of_particles, number_of_particle_groups,&
+               particle_groups, particle_type, prt_count, time_prel,           &
+               time_write_particle_data, uniform_particles, zero_particle
 
     USE pegrid
@@ -100,5 +96,5 @@
 !-- First compare the version numbers
     READ ( 90 )  version_on_file
-    particle_binary_version = '3.2'
+    particle_binary_version = '4.0'
     IF ( TRIM( version_on_file ) /= TRIM( particle_binary_version ) )  THEN
        message_string = 'version mismatch concerning data from prior ' // &
@@ -114,11 +110,4 @@
 !-- min_nr_particle, the remainder is initialized by zero_particle to avoid
 !-- errors.
-#if defined( __twocachelines )
-    zero_particle = particle_type( 0.0_wp, 0.0_sp, 0.0_sp, 0.0_sp, 0.0_sp,  &
-                                   0.0_sp, 0.0_sp, 0.0_wp, 0.0_wp, 0.0_wp,  &
-                                   0, .FALSE., 0.0_wp, 0.0_wp, 0.0_wp,      &
-                                   0.0_sp, 0.0_sp, 0.0_sp, 0.0_sp, 0.0_sp,  &
-                                   0.0_sp, 0, 0, 0, -1)
-#else
     zero_particle = particle_type( 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
                                    0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,  &
@@ -126,14 +115,10 @@
                                    0.0_wp, 0.0_wp, 0.0_wp, 0.0_wp, 0, 0, 0, &
                                    0, .FALSE., -1)
-#endif
-
 !
 !-- Read some particle parameters and the size of the particle arrays,
 !-- allocate them and read their contents.
     READ ( 90 )  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,                  &
-                 maximum_number_of_tailpoints, maximum_number_of_tails,     &
-                 number_of_particle_groups, number_of_tails,                &
-                 particle_groups, time_prel, time_write_particle_data,      &
-                 uniform_particles
+                 number_of_particle_groups, particle_groups, time_prel,     &
+                 time_write_particle_data, uniform_particles
 
     ALLOCATE( prt_count(nzb:nzt+1,nysg:nyng,nxlg:nxrg),                     &
@@ -177,14 +162,4 @@
     ENDDO
 
-!
-!-- particle tails currently not available
-!    IF ( use_particle_tails )  THEN
-!       ALLOCATE( particle_tail_coordinates(maximum_number_of_tailpoints,5, &
-!                 maximum_number_of_tails),                                 &
-!                 new_tail_id(maximum_number_of_tails),                     &
-!                 tail_mask(maximum_number_of_tails) )
-!       READ ( 90 )  particle_tail_coordinates
-!    ENDIF
-
     CLOSE ( 90 )
 !
Index: palm/trunk/SOURCE/lpm_set_attributes.f90
===================================================================
--- palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 1821)
+++ palm/trunk/SOURCE/lpm_set_attributes.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Unused variables removed.
 ! 
 ! Former revisions:
@@ -67,5 +67,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  atmos_ocean_sign, u_gtrans, v_gtrans, dz
+        ONLY:  u_gtrans, v_gtrans, dz
 
     USE cpulog,                                                                &
@@ -77,5 +77,5 @@
 
     USE grid_variables,                                                        &
-        ONLY:  ddx, dx, ddy, dy
+        ONLY:  dx, dy
 
     USE indices,                                                               &
@@ -85,6 +85,6 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  block_offset, grid_particles, number_of_particles,              &
-               offset_ocean_nzt, particles, prt_count
+        ONLY:  block_offset, grid_particles, number_of_particles, particles,   &
+               prt_count
 
     USE pegrid
Index: palm/trunk/SOURCE/lpm_write_exchange_statistics.f90
===================================================================
--- palm/trunk/SOURCE/lpm_write_exchange_statistics.f90	(revision 1821)
+++ palm/trunk/SOURCE/lpm_write_exchange_statistics.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Unused variables removed.
 ! 
 ! Former revisions:
@@ -62,5 +62,5 @@
     USE particle_attributes,                                                   &
         ONLY:  grid_particles, maximum_number_of_particles,                    &
-               number_of_particles, particles, prt_count,                      &
+               number_of_particles, prt_count,                                 &
                trlp_count_sum, trlp_count_recv_sum, trnp_count_sum,            &
                trnp_count_recv_sum, trrp_count_sum, trrp_count_recv_sum,       &
Index: palm/trunk/SOURCE/lpm_write_restart_file.f90
===================================================================
--- palm/trunk/SOURCE/lpm_write_restart_file.f90	(revision 1821)
+++ palm/trunk/SOURCE/lpm_write_restart_file.f90	(revision 1822)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Tails removed. Unused variables removed.
 ! 
 ! Former revisions:
@@ -50,8 +50,5 @@
 !------------------------------------------------------------------------------!
  SUBROUTINE lpm_write_restart_file
- 
 
-    USE control_parameters,                                                    &
-        ONLY:  io_blocks, io_group
 
     USE indices,                                                               &
@@ -62,10 +59,7 @@
     USE particle_attributes,                                                   &
         ONLY:  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t, grid_particles,       &
-               maximum_number_of_tails, maximum_number_of_tailpoints,          &
                number_of_particles, number_of_particle_groups,                 &
-               number_of_tails, particles, particle_groups,                    &
-               particle_tail_coordinates, prt_count, time_prel,                &
-               time_write_particle_data, uniform_particles,                    &
-               use_particle_tails, zero_particle
+               particles, particle_groups, prt_count, time_prel,               &
+               time_write_particle_data, uniform_particles
 
     USE pegrid
@@ -75,5 +69,4 @@
     CHARACTER (LEN=10) ::  particle_binary_version   !<
 
-    INTEGER(iwp) ::  i                               !<
     INTEGER(iwp) ::  ip                              !<
     INTEGER(iwp) ::  jp                              !<
@@ -97,49 +90,35 @@
     ENDIF
 
-!    DO  i = 0, io_blocks-1
-
-!       IF ( i == io_group )  THEN
+!
+!-- Write the version number of the binary format.
+!-- Attention: After changes to the following output commands the version
+!-- ---------  number of the variable particle_binary_version must be
+!--            changed! Also, the version number and the list of arrays
+!--            to be read in lpm_read_restart_file must be adjusted
+!--            accordingly.
+    particle_binary_version = '4.0'
+    WRITE ( 90 )  particle_binary_version
 
 !
-!--       Write the version number of the binary format.
-!--       Attention: After changes to the following output commands the version
-!--       ---------  number of the variable particle_binary_version must be
-!--                  changed! Also, the version number and the list of arrays
-!--                  to be read in lpm_read_restart_file must be adjusted
-!--                  accordingly.
-          particle_binary_version = '3.2'
-          WRITE ( 90 )  particle_binary_version
+!-- Write some particle parameters, the size of the particle arrays as
+!-- well as other dvrp-plot variables.
+    WRITE ( 90 )  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,              &
+                  number_of_particle_groups, particle_groups, time_prel, &
+                  time_write_particle_data, uniform_particles
 
-!
-!--       Write some particle parameters, the size of the particle arrays as
-!--       well as other dvrp-plot variables.
-          WRITE ( 90 )  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,              &
-                        maximum_number_of_tailpoints, maximum_number_of_tails, &
-                        number_of_particle_groups, number_of_tails,            &
-                        particle_groups, time_prel, time_write_particle_data,  &
-                        uniform_particles
+    WRITE ( 90 )  prt_count
+          
+    DO  ip = nxl, nxr
+       DO  jp = nys, nyn
+          DO  kp = nzb+1, nzt
+             number_of_particles = prt_count(kp,jp,ip)
+             particles => grid_particles(kp,jp,ip)%particles(1:number_of_particles)
+             IF ( number_of_particles <= 0 )  CYCLE
+             WRITE ( 90 )  particles
+          ENDDO
+       ENDDO
+    ENDDO
 
-          WRITE ( 90 )  prt_count
-          
-          DO  ip = nxl, nxr
-             DO  jp = nys, nyn
-                DO  kp = nzb+1, nzt
-                   number_of_particles = prt_count(kp,jp,ip)
-                   particles => grid_particles(kp,jp,ip)%particles(1:number_of_particles)
-                   IF ( number_of_particles <= 0 )  CYCLE
-                   WRITE ( 90 )  particles
-                ENDDO
-             ENDDO
-          ENDDO
-
-!
-!--       particle tails currently not available
-!          IF ( use_particle_tails )  THEN
-!             WRITE ( 90 )  particle_tail_coordinates
-!          ENDIF
-
-          CLOSE ( 90 )
-
-!       ENDIF
+    CLOSE ( 90 )
 
 #if defined( __parallel )
@@ -147,6 +126,4 @@
 #endif
 
- !   ENDDO
-
 
  END SUBROUTINE lpm_write_restart_file
